Bug 127396 - quotactl syscall appearance changed in kernel 2.4.22-1.2197.nptl
quotactl syscall appearance changed in kernel 2.4.22-1.2197.nptl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 13:52 EDT by Kirill Pisman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirill Pisman 2004-07-07 13:52:51 EDT
Description of problem:

We had utility that uses quotactl syscall. It's broken after upgrade
from kernel-2.4.22-1.2115.nptl to kernel-2.4.22-1.2197.nptl.

Syscall is stalled during operation. strace output fragment:

quotactl(0xff800003 /* Q_??? */|USRQUOTA, "/dev/sda1", 0, NULL) = -1
ESRCH (No s
uch process)
quotactl(0xff800002 /* Q_??? */|USRQUOTA, "/dev/sda1", 2,

after this utility is stalled.

How reproducible:

quotaon qutaoff in loop.

  
Actual results:

 Sometime after quotaon or qutaoff  will stall silently.
quotacheck will not run in this time, so quouta subsystem are fulyy
stalled.
 Additionaly when i try to reboot machine reboot script is stops with
message about quotactl process not found, or someting like this during
turning quotas off, so without a physical access to machine it's
impossible to make it alive again.
 
Expected results:

Infinit loop of enabling and disabling quota.

Additional info:

I dont know affected other kernel versions(patches ) or not, maybe
this bug is apper in earlier kernel updates to.
Comment 1 David Lawrence 2004-09-29 16:31:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 2 Kirill Pisman 2004-09-30 04:12:02 EDT
 I am personaly knows about existance of Fedora Leagcy, but many
customers a not satisfied with usage of Fedora Legacy instead of
fedora's own repository. RHEL are not suitaable for those customers as
to expencive systems for this moment. You a loosing popularity with so
frequent and full end of life's of your products.
 But anyway i am cannot do anythig here, and i know Fedora 1 is not
supported anymore.

 Bug is seems to be less agressive in 2.4.22-1.2199.nptl. 
Comment 3 Marco Mangione 2004-10-13 08:41:04 EDT
i'v many server with fc1 and kernel 2.4.22-1.2199.nptl there are a 
solution to solve this bug ?

marco

Note You need to log in before you can comment on or make changes to this bug.